Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 111)
+++ trunk/src/civ.m	(revision 112)
@@ -2971,57 +2973,57 @@
 % %%%%%%%%%%%%  case CIV1 activated   %%%%%%%%%%%%%
 if box_test(1)==1;
-     detect=1;     
-     while detect==1 %create a new subdir if the netcdf files already exist
-          for ifile=1:nbfield;
-              for j=1:nbslice
-                  filename=name_generator(filebase_nc,num1_civ1(ifile),num_a_civ1(j),'.nc',nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);
-                  detect=exist(filename,'file')==2;
-                  if detect% if a netcdf file already exists
-                     subdir_civ1=[subdir_civ1 '.0'];
-                     subdir_civ2=subdir_civ1;
-                     break
-                  end
-                  filecell.nc.civ1(ifile,j)={filename};
-              end
-              if detect% if a netcdf file already exists
-                  break
-              end
-          end
-           %create the new subdir_civ1 
-          if ~exist(fullfile(Path_ima,subdir_civ1),'dir')
-              [m1,m2,m3]=mkdir(subdir_civ1);
+    detect=1;
+    while detect==1 %create a new subdir if the netcdf files already exist
+        for ifile=1:nbfield;
+            for j=1:nbslice
+                filename=name_generator(filebase_nc,num1_civ1(ifile),num_a_civ1(j),'.nc',nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);
+                detect=exist(filename,'file')==2;
+                if detect% if a netcdf file already exists
+                    subdir_civ1=[subdir_civ1 '.0'];
+                    subdir_civ2=subdir_civ1;
+                    break
+                end
+                filecell.nc.civ1(ifile,j)={filename};
+            end
+            if detect% if a netcdf file already exists
+                break
+            end
+        end
+        %create the new subdir_civ1
+        if ~exist(fullfile(Path_ima,subdir_civ1),'dir')
+            [m1,m2,m3]=mkdir(subdir_civ1);
+            if ~isequal(m2,'')
+                msgbox_uvmat('ERROR', m2)
+                %msgbox(m2);%error message for directory creation
+            end
+        end
+        if strcmp(compare,'stereo PIV')&&(strcmp(mode,'pair j1-j2')||strcmp(mode,'series(Dj)')||strcmp(mode,'series(Di)'))%check second nc series
+            for ifile=1:nbfield
+                for j=1:nbslice
+                    filename=name_generator(filebase_A,num1_civ1(ifile),num_a_civ1(j),'.nc',nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);%
+                    detect=exist(filename,'file')==2;
+                    if detect% if a netcdf file already exists
+                        subdir_civ1=[subdir_civ1 '.0'];
+                        subdir_civ2=subdir_civ1;
+                        break
+                    end
+                    filecell.ncA.civ1(ifile,j)={filename};
+                end
+                if detect% if a netcdf file already exists
+                    break
+                end
+            end
+            %create the new subdir_civ1
+            if ~exist(fullfile(Path_ima,subdir_civ1),'dir')
+                [m1,m2,m3]=mkdir(subdir_civ1);
                 if ~isequal(m2,'')
-                   msgbox_uvmat('ERROR', m2)
-                   %msgbox(m2);%error message for directory creation
-              end
-          end
-          if strcmp(compare,'stereo PIV')&&(strcmp(mode,'pair j1-j2')||strcmp(mode,'series(Dj)')||strcmp(mode,'series(Di)'))%check second nc series
-                for ifile=1:nbfield
-                     for j=1:nbslice
-                         filename=name_generator(filebase_A,num1_civ1(ifile),num_a_civ1(j),'.nc',nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);%
-                          detect=exist(filename,'file')==2;
-                          if detect% if a netcdf file already exists
-                              subdir_civ1=[subdir_civ1 '.0'];
-                              subdir_civ2=subdir_civ1;
-                              break
-                          end
-                          filecell.ncA.civ1(ifile,j)={filename};
-                     end
-                    if detect% if a netcdf file already exists
-                         break
-                    end
-              end
-           %create the new subdir_civ1 
-               if ~exist(fullfile(Path_ima,subdir_civ1),'dir')
-                      [m1,m2,m3]=mkdir(subdir_civ1);
-                       if ~isequal(m2,'')
-                            msgbox_uvmat('ERROR', m2)
-                      end
-               end
-          end
-     end        
+                    msgbox_uvmat('ERROR', m2)
+                end
+            end
+        end
+    end
     % get image names
     for ifile=1:nbfield
-         for j=1:nbslice
+        for j=1:nbslice
             filename=name_generator(filebase_ima1, num1_civ1(ifile),num_a_civ1(j),ext_ima,nom_type_ima1);
             idetect(j)=exist(filename,'file')==2;
@@ -3030,73 +3032,73 @@
             idetect_1(j)=exist(filename,'file')==2;
             filecell.ima2.civ1(ifile,j)={filename};%second image
-         end
+        end
+        [idetectmin,indexj]=min(idetect);
+        if idetectmin==0,
+            msgbox_uvmat('ERROR',[filecell.ima1.civ1{ifile,indexj} ' not found'])
+            filecell=[];
+            return
+        end
+        [idetectmin,indexj]=min(idetect_1);
+        if idetectmin==0,
+            msgbox_uvmat('ERROR',[filecell.ima2.civ1{ifile,indexj} ' not found'])
+            filecell=[];
+            cd(currentdir)
+            return
+        end
+    end
+    if strcmp(compare,'stereo PIV') && (strcmp(mode,'pair j1-j2') || strcmp(mode,'series(Dj)') || strcmp(mode,'series(Di)'))
+        for ifile=1:nbfield
+            for j=1:nbslice
+                filename=name_generator(filebase_A, num1_civ1(ifile),num_a_civ1(j),ext_ima,nom_type_ima1);
+                idetect(j)=exist(filename,'file')==2;
+                filecell.imaA1.civ1(ifile,j)={filename} ;%first image
+                filename=name_generator(filebase_A, num2_civ1(ifile),num_b_civ1(j),ext_ima,nom_type_ima2);
+                idetect_1(j)=exist(filename,'file')==2;
+                filecell.imaA2.civ1(ifile,j)={filename};%second image
+            end
             [idetectmin,indexj]=min(idetect);
-          if idetectmin==0,
-                msgbox_uvmat('ERROR',[filecell.ima1.civ1{ifile,indexj} ' not found'])
-                filecell=[];
-                return
-          end
-            [idetectmin,indexj]=min(idetect_1);
-          if idetectmin==0,
-                msgbox_uvmat('ERROR',[filecell.ima2.civ1{ifile,indexj} ' not found'])
+            if idetectmin==0,
+                msgbox_uvmat('ERROR',[filecell.imaA1.civ1{ifile,indexj} ' not found'])
                 filecell=[];
                 cd(currentdir)
                 return
-          end
-    end
-    if strcmp(compare,'stereo PIV') && (strcmp(mode,'pair j1-j2') || strcmp(mode,'series(Dj)') || strcmp(mode,'series(Di)'))
-         for ifile=1:nbfield
-             for j=1:nbslice
-                  filename=name_generator(filebase_A, num1_civ1(ifile),num_a_civ1(j),ext_ima,nom_type_ima1);
-                  idetect(j)=exist(filename,'file')==2;
-                  filecell.imaA1.civ1(ifile,j)={filename} ;%first image
-                  filename=name_generator(filebase_A, num2_civ1(ifile),num_b_civ1(j),ext_ima,nom_type_ima2);
-                  idetect_1(j)=exist(filename,'file')==2;
-                  filecell.imaA2.civ1(ifile,j)={filename};%second image
-             end
-              [idetectmin,indexj]=min(idetect);
-              if idetectmin==0,
-                    msgbox_uvmat('ERROR',[filecell.imaA1.civ1{ifile,indexj} ' not found'])
+            end
+            [idetectmin,indexj]=min(idetect_1);
+            if idetectmin==0,
+                msgbox_uvmat('ERROR',[filecell.imaA2.civ1{ifile,indexj} ' not found'])
+                filecell=[];
+                cd(currentdir)
+                return
+            end
+        end
+    end
+    
+    %%%%%%%%%%%%%  fix1 or patch1 activated but no civ1   %%%%%%%%%%%%%
+elseif (box_test(2)==1 || box_test(3)==1);
+    for ifile=1:nbfield
+        for j=1:nbslice
+            filename=name_generator(filebase_nc,num1_civ1(ifile),num_a_civ1(j),'.nc',...
+                nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);%
+            detect=exist(filename,'file')==2;
+            filecell.nc.civ1(ifile,j)={filename};
+        end
+    end
+    if strcmp(compare,'stereo PIV')
+        for ifile=1:nbfield
+            for j=1:nbslice
+                filename=name_generator(filebase_A,num1_civ1(ifile),num_a_civ1(j),'.nc',nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);%
+                filecell.ncA.civ1(ifile,j)={filename};
+                if ~exist(filename,'file')
+                    msgbox_uvmat('ERROR',['input file ' filename ' not found'])
+                    set(handles.RUN, 'Enable','On')
+                    set(handles.RUN,'BackgroundColor',[1 0 0])
+                    %                         set(handles.BATCH, 'Enable','On')
+                    %                         set(handles.BATCH,'BackgroundColor',[1 0 0])
                     filecell=[];
                     cd(currentdir)
                     return
-              end
-               [idetectmin,indexj]=min(idetect_1);
-               if idetectmin==0,
-                   msgbox_uvmat('ERROR',[filecell.imaA2.civ1{ifile,indexj} ' not found'])
-                  filecell=[];
-                  cd(currentdir)
-                  return
-               end
-         end
-    end
-        
- %%%%%%%%%%%%%  fix1 or patch1 activated but no civ1   %%%%%%%%%%%%%
-elseif (box_test(2)==1 || box_test(3)==1);  
-    for ifile=1:nbfield
-        for j=1:nbslice
-            filename=name_generator(filebase_nc,num1_civ1(ifile),num_a_civ1(j),'.nc',...
-                    nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);%
-            detect=exist(filename,'file')==2;   
-            filecell.nc.civ1(ifile,j)={filename};
-        end
-    end
-    if strcmp(compare,'stereo PIV')
-            for ifile=1:nbfield
-                for j=1:nbslice
-                    filename=name_generator(filebase_A,num1_civ1(ifile),num_a_civ1(j),'.nc',nom_type_nc,1,num2_civ1(ifile),num_b_civ1(j),subdir_civ1);%
-                    filecell.ncA.civ1(ifile,j)={filename};
-                    if ~exist(filename,'file')
-                        msgbox_uvmat('ERROR',['input file ' filename ' not found'])
-                        set(handles.RUN, 'Enable','On')
-                        set(handles.RUN,'BackgroundColor',[1 0 0])
-%                         set(handles.BATCH, 'Enable','On')
-%                         set(handles.BATCH,'BackgroundColor',[1 0 0])
-                        filecell=[];
-                        cd(currentdir)
-                        return
-                    end
                 end
             end
+        end
     end
 end
@@ -3105,58 +3107,58 @@
 testdiff=0;
 if (box_test(4)==1)&&...
-        ((get(handles.list_pair_civ1,'Value')~=get(handles.list_pair_civ2,'Value'))||~isequal(subdir_civ2,subdir_civ1)) 
+        ((get(handles.list_pair_civ1,'Value')~=get(handles.list_pair_civ2,'Value'))||~isequal(subdir_civ2,subdir_civ1))
     testdiff=1;
-    detect=1; 
+    detect=1;
     while detect==1 %create a new subdir if the netcdf files already exist
-          for ifile=1:nbfield
-              for j=1:nbslice
-                  filename=name_generator(filebase_nc,num1_civ2(ifile),num_a_civ2(j),'.nc',nom_type_nc,1,num2_civ2(ifile),num_b_civ2(j),subdir_civ2);%
-                  detect=exist(filename,'file')==2;
-                  if detect% if a netcdf file already exists
-                     subdir_civ2=[subdir_civ2 '.0'];
-                     break
-                  end
-                  filecell.nc.civ2(ifile,j)={filename};
-              end
-              if detect% if a netcdf file already exists
-                  break
-              end
-          end
-           %create the new subdir_civ2 
-          if ~exist(fullfile(Path_ima,subdir_civ2),'dir')
-              [m1,m2,m3]=mkdir(subdir_civ2);
-              if ~isequal(m2,'')
-                   msgbox_uvmat('ERROR', m2)
-              end
-          end
-           if strcmp(compare,'stereo PIV')%check second nc series
-                for ifile=1:nbfield
-                     for j=1:nbslice
-                         filename=name_generator(filebase_A,num1_civ2(ifile),num_a_civ2(j),'.nc',...
-                          nom_type_nc,1,num2_civ2(ifile),num_b_civ1(j),subdir_civ2);%
-                          detect=exist(filename,'file')==2;
-                          if detect% if a netcdf file already exists
-                              subdir_civ2=[subdir_civ2 '.0'];
-                              break
-                          end
-                          filecell.ncA.civ2(ifile,j)={filename};
-                     end
+        for ifile=1:nbfield
+            for j=1:nbslice
+                filename=name_generator(filebase_nc,num1_civ2(ifile),num_a_civ2(j),'.nc',nom_type_nc,1,num2_civ2(ifile),num_b_civ2(j),subdir_civ2);%
+                detect=exist(filename,'file')==2;
+                if detect% if a netcdf file already exists
+                    subdir_civ2=[subdir_civ2 '.0'];
+                    break
+                end
+                filecell.nc.civ2(ifile,j)={filename};
+            end
+            if detect% if a netcdf file already exists
+                break
+            end
+        end
+        %create the new subdir_civ2
+        if ~exist(fullfile(Path_ima,subdir_civ2),'dir')
+            [m1,m2,m3]=mkdir(subdir_civ2);
+            if ~isequal(m2,'')
+                msgbox_uvmat('ERROR', m2)
+            end
+        end
+        if strcmp(compare,'stereo PIV')%check second nc series
+            for ifile=1:nbfield
+                for j=1:nbslice
+                    filename=name_generator(filebase_A,num1_civ2(ifile),num_a_civ2(j),'.nc',...
+                        nom_type_nc,1,num2_civ2(ifile),num_b_civ1(j),subdir_civ2);%
+                    detect=exist(filename,'file')==2;
                     if detect% if a netcdf file already exists
-                         break
+                        subdir_civ2=[subdir_civ2 '.0'];
+                        break
                     end
-              end
-           %create the new subdir_civ1 
-               if ~exist(fullfile(Path_ima,subdir_civ2),'dir')
-                      [m1,m2,m3]=mkdir(subdir_civ2);
-                        if ~isequal(m2,'')
-                            msgbox_uvmat('ERROR', m2)
-                            %msgbox(m2);%error message for directory creation
-                      end
-               end
-          end
-    end  
+                    filecell.ncA.civ2(ifile,j)={filename};
+                end
+                if detect% if a netcdf file already exists
+                    break
+                end
+            end
+            %create the new subdir_civ1
+            if ~exist(fullfile(Path_ima,subdir_civ2),'dir')
+                [m1,m2,m3]=mkdir(subdir_civ2);
+                if ~isequal(m2,'')
+                    msgbox_uvmat('ERROR', m2)
+                    %msgbox(m2);%error message for directory creation
+                end
+            end
+        end
+    end
 end
 cd(currentdir);%come back to the current working directory
-    
+
 
 %%%%%%%%%%%%%  if civ2 results are obtained or used  %%%%%%%%%%%%%
@@ -3171,5 +3173,5 @@
                 if ~exist(filename,'file')
                     msgbox_uvmat('ERROR',['input file ' filename ' not found'])
-                  filecell=[];
+                    filecell=[];
                     return
                 end
@@ -3181,5 +3183,5 @@
                             filecell=[];
                             return
-                        end  
+                        end
                     elseif box_test(3)==0; %check the existence of patch if it is not calculated
                         Data=nc2struct(filename,'ListGlobalAttribute','patch');
@@ -3189,5 +3191,5 @@
                             return
                         end
-                    end 
+                    end
                 end
             end
@@ -3203,6 +3205,6 @@
                         set(handles.RUN, 'Enable','On')
                         set(handles.RUN,'BackgroundColor',[1 0 0])
-%                                set(handles.BATCH, 'Enable','On')
-%                     set(handles.BATCH,'BackgroundColor',[1 0 0])
+                        %                                set(handles.BATCH, 'Enable','On')
+                        %                     set(handles.BATCH,'BackgroundColor',[1 0 0])
                         cd(currentdir)
                         return
@@ -3212,15 +3214,15 @@
         end
     end
-
-    detect=1; 
-%     while detect==1%creates a new subdir if the netcdf files already contain civ2 data
-        for ifile=1:nbfield
-            for j=1:nbslice
-                filename=name_generator(filebase_nc,num1_civ2(ifile),num_a_civ2(j),'.nc',...
+    
+    detect=1;
+    %     while detect==1%creates a new subdir if the netcdf files already contain civ2 data
+    for ifile=1:nbfield
+        for j=1:nbslice
+            filename=name_generator(filebase_nc,num1_civ2(ifile),num_a_civ2(j),'.nc',...
                 nom_type_nc,1,num2_civ2(ifile),num_b_civ2(j),subdir_civ2);
-                detect=exist(filename,'file')==2;
-                filecell.nc.civ2(ifile,j)={filename};
-            end
-        end
+            detect=exist(filename,'file')==2;
+            filecell.nc.civ2(ifile,j)={filename};
+        end
+    end
     %get first image names for civ2
     if box_test(1)==1 & isequal(num1_civ1,num1_civ2) & isequal(num_a_civ1,num_a_civ2)
@@ -3233,9 +3235,9 @@
                 filecell.ima1.civ2(ifile,j)={filename};%first image
             end
-                [idetectmin,indexj]=min(idetect_2);
+            [idetectmin,indexj]=min(idetect_2);
             if idetectmin==0,
-                    msgbox_uvmat('ERROR',['input image ' filecell.ima1.civ2{ifile,indexj} ' not found'])
-                    filecell=[];
-                    return
+                msgbox_uvmat('ERROR',['input image ' filecell.ima1.civ2{ifile,indexj} ' not found'])
+                filecell=[];
+                return
             end
         end
@@ -3252,9 +3254,9 @@
                 filecell.ima2.civ2(ifile,j)={filename};%first image
             end
-                [idetectmin,indexj]=min(idetect_3);
+            [idetectmin,indexj]=min(idetect_3);
             if idetectmin==0,
-                    msgbox_uvmat('ERROR',['input image ' filecell.ima2.civ2{ifile,indexj} ' not found'])
-                    filecell=[];
-                    return
+                msgbox_uvmat('ERROR',['input image ' filecell.ima2.civ2{ifile,indexj} ' not found'])
+                filecell=[];
+                return
             end
         end
@@ -3264,9 +3266,9 @@
     if ~testdiff
         filecell.nc.civ2=filecell.nc.civ1;% file already checked
-    else     % check the civ2 files 
+    else     % check the civ2 files
         for ifile=1:nbfield
             for j=1:nbslice
                 filename=name_generator(filebase_nc,num1_civ2(ifile),num_a_civ2(j),'.nc',...
-                        nom_type_nc,1,num2_civ2(ifile),num_b_civ2(j),subdir_civ2);%
+                    nom_type_nc,1,num2_civ2(ifile),num_b_civ2(j),subdir_civ2);%
                 filecell.nc.civ2(ifile,j)={filename};
                 if ~exist(filename,'file')
@@ -3276,5 +3278,5 @@
                 else
                     Data=nc2struct(filename,'ListGlobalAttribute','civ2');
-                    if isempty(Data.civ2)||isequal(Data.civ2,0)         
+                    if isempty(Data.civ2)||isequal(Data.civ2,0)
                         msgbox_uvmat('ERROR',['no civ2 data in ' filename])
                         filecell=[];
@@ -3289,5 +3291,5 @@
 %%%%%%%%%%%%%  if stereo fields are calculated by PATCH %%%%%%%%%%%%%
 if strcmp(compare,'stereo PIV')
-    if  box_test(3)==1 & isequal(get(handles.test_stereo1,'Value'),1) 
+    if  box_test(3)==1 & isequal(get(handles.test_stereo1,'Value'),1)
         for ifile=1:nbfield
             for j=1:nbslice
@@ -3298,5 +3300,5 @@
         end
     end
-     if  box_test(6)==1 & isequal(get(handles.test_stereo2,'Value'),1) 
+    if  box_test(6)==1 & isequal(get(handles.test_stereo2,'Value'),1)
         for ifile=1:nbfield
             for j=1:nbslice
@@ -3306,5 +3308,5 @@
             end
         end
-     end
+    end
 end
 set(handles.subdir_civ1,'String',subdir_civ1);%update the edit box
@@ -3337,13 +3339,13 @@
             type_ima1='avi';
         end
-    else 
-       form=imformats(ext_ima(2:end));
-       if ~isempty(form)% if the extension corresponds to an image format recognized by Matlab
-           if isequal(nom_type_ima1,'*');
-               type_ima1='multimage';%image series in a single image file
-           else
-               type_ima1='image';
-           end
-       end
+    else
+        form=imformats(ext_ima(2:end));
+        if ~isempty(form)% if the extension corresponds to an image format recognized by Matlab
+            if isequal(nom_type_ima1,'*');
+                type_ima1='multimage';%image series in a single image file
+            else
+                type_ima1='image';
+            end
+        end
     end
     type_ima2='none';%default
@@ -3357,61 +3359,61 @@
             type_ima2='avi';
         end
-    else 
-       form=imformats(ext_ima(2:end));
-       if ~isempty(form)% if the extension corresponds to an image format recognized by Matlab
-           if isequal(nom_type_ima1,'*');
-               type_ima2='multimage';%image series in a single image file
-           else
-               type_ima2='image';
-           end
-       end
+    else
+        form=imformats(ext_ima(2:end));
+        if ~isempty(form)% if the extension corresponds to an image format recognized by Matlab
+            if isequal(nom_type_ima1,'*');
+                type_ima2='multimage';%image series in a single image file
+            else
+                type_ima2='image';
+            end
+        end
     end
     %npxy=get(handles.ImaExt,'UserData');
-% %     if numel(npxy)<2
-%     
-%         filename=name_generator(filebase_ima1,num1_civ1(1),num_a_civ1(1),ImaExt,nom_type_ima1);
-%         A=imread(filename);
-%         npxy=size(A);
-% %     end
-%     npy=npxy(1);
-%     npx=npxy(2);
+    % %     if numel(npxy)<2
+    %
+    %         filename=name_generator(filebase_ima1,num1_civ1(1),num_a_civ1(1),ImaExt,nom_type_ima1);
+    %         A=imread(filename);
+    %         npxy=size(A);
+    % %     end
+    %     npy=npxy(1);
+    %     npx=npxy(2);
     if box_test(1)==1 %if civ1 is performed
-       h = waitbar(0,['copy images to the .png format for civ1']);% display a wait bar 
-       for ifile=1:nbfield
-            waitbar(ifile/nbfield);
-            for j=1:nbslice
-                    filename=name_generator(filebase_ima1,num1_civ1(ifile),num_a_civ1(j),'.png',nom_type_imanew1);
-                    if ~exist(filename,'file')
-                        A=read_image(filecell.ima1.civ1{ifile,j},type_ima1,num1_civ1(ifile),movieobject1);
-                        imwrite(A,filename,'BitDepth',16); 
-                    end
-                    filecell.ima1.civ1(ifile,j)={filename};
-                    filename=name_generator(filebase_ima2, num2_civ1(ifile),num_b_civ1(j),'.png',nom_type_imanew2);
-                    if ~exist(filename,'file')
-                        A=read_image(filecell.ima2.civ1{ifile,j},type_ima2,num2_civ1(ifile),movieobject2);
-                        imwrite(A,filename,'BitDepth',16);
-                    end
-                    filecell.ima2.civ1(ifile,j)={filename};
-            end
-        end
-        close(h)
-    end
-    if box_test(4)==1 %if civ2 is performed
-        h = waitbar(0,['copy images to the .png format for civ2']);% display a wait bar 
+        h = waitbar(0,['copy images to the .png format for civ1']);% display a wait bar
         for ifile=1:nbfield
             waitbar(ifile/nbfield);
             for j=1:nbslice
-                    filename=name_generator(filebase_ima1,num1_civ2(ifile),num_a_civ2(j),'.png',nom_type_imanew1);
-                    if ~exist(filename,'file')
-                        A=read_image(cell2mat(filecell.ima1.civ2(ifile,j)),type_ima2,num1_civ2(ifile));
-                        imwrite(A,filename,'BitDepth',16); 
-                    end
-                    filecell.ima1.civ2(ifile,j)={filename};
-                    filename=name_generator(filebase_ima2, num2_civ2(ifile),num_b_civ2(j),'.png',nom_type_imanew2);
-                    if ~exist(filename,'file')
-                        A=read_image(cell2mat(filecell.ima2.civ2(ifile,j)),type_ima2,num2_civ2(ifile));
-                        imwrite(A,filename,'BitDepth',16);
-                    end
-                    filecell.ima2.civ2(ifile,j)={filename};
+                filename=name_generator(filebase_ima1,num1_civ1(ifile),num_a_civ1(j),'.png',nom_type_imanew1);
+                if ~exist(filename,'file')
+                    A=read_image(filecell.ima1.civ1{ifile,j},type_ima1,num1_civ1(ifile),movieobject1);
+                    imwrite(A,filename,'BitDepth',16);
+                end
+                filecell.ima1.civ1(ifile,j)={filename};
+                filename=name_generator(filebase_ima2, num2_civ1(ifile),num_b_civ1(j),'.png',nom_type_imanew2);
+                if ~exist(filename,'file')
+                    A=read_image(filecell.ima2.civ1{ifile,j},type_ima2,num2_civ1(ifile),movieobject2);
+                    imwrite(A,filename,'BitDepth',16);
+                end
+                filecell.ima2.civ1(ifile,j)={filename};
+            end
+        end
+        close(h)
+    end
+    if box_test(4)==1 %if civ2 is performed
+        h = waitbar(0,['copy images to the .png format for civ2']);% display a wait bar
+        for ifile=1:nbfield
+            waitbar(ifile/nbfield);
+            for j=1:nbslice
+                filename=name_generator(filebase_ima1,num1_civ2(ifile),num_a_civ2(j),'.png',nom_type_imanew1);
+                if ~exist(filename,'file')
+                    A=read_image(cell2mat(filecell.ima1.civ2(ifile,j)),type_ima2,num1_civ2(ifile));
+                    imwrite(A,filename,'BitDepth',16);
+                end
+                filecell.ima1.civ2(ifile,j)={filename};
+                filename=name_generator(filebase_ima2, num2_civ2(ifile),num_b_civ2(j),'.png',nom_type_imanew2);
+                if ~exist(filename,'file')
+                    A=read_image(cell2mat(filecell.ima2.civ2(ifile,j)),type_ima2,num2_civ2(ifile));
+                    imwrite(A,filename,'BitDepth',16);
+                end
+                filecell.ima2.civ2(ifile,j)={filename};
             end
         end
@@ -3431,5 +3433,5 @@
 if isempty(ibx_val)
     ibx='21'; set(handles.ibx,'String','21')
-else 
+else
     ibx=num2str(ibx_val);
 end
@@ -3437,5 +3439,5 @@
 if isempty(iby_val)
     iby='21'; set(handles.iby,'String','21')
-else 
+else
     iby=num2str(iby_val);
 end
@@ -3478,6 +3480,6 @@
     if numel(gridname)>4 && isequal(gridname(end-3:end),'grid')
         nbslice_grid=str2num(gridname(1:end-4)); %
-        if ~isempty(nbslice_grid) 
-            gridflag='y'; 
+        if ~isempty(nbslice_grid)
+            gridflag='y';
         end
     elseif exist(gridname,'file')
@@ -3496,6 +3498,6 @@
     min_ima='0';
     max_ima='4096';
-end 
- %main loop
+end
+%main loop
 filebase=get(handles.RootName,'String');
 sizcell=size(filecell);
@@ -3516,5 +3518,5 @@
         filename_cmx([end-1:end])=[ 'cm'];%name of cmx file
         filename_cmx=[filename_cmx 'x'];
-        namelog=[filename_cmx([1:end-3]) 'log'];       
+        namelog=[filename_cmx([1:end-3]) 'log'];
         if size(time,1)>=num2(ifile) &  size(time,2)>=num_b(j)
             Dt=num2str(time(num2(ifile),num_b(j))-time(num1(ifile),num_a(j)));
@@ -3526,9 +3528,9 @@
             Dt='1';
             T0='0';
-        end 
+        end
         term_a=num2stra(num_a(j),nom_type_nc);%UTILITE?
         term_b=num2stra(num_b(j),nom_type_nc);%
-        if test_grid && ~isempty(nbslice_grid)        
-             num1_grid=mod(num1(ifile)-1,nbslice_grid)+1;
+        if test_grid && ~isempty(nbslice_grid)
+            num1_grid=mod(num1(ifile)-1,nbslice_grid)+1;
             gridname=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
             if ~exist(gridname,'file')
